From 092f10051f7ba10533e51e2a8f63dc4957bf3eeb Mon Sep 17 00:00:00 2001
From: basos G <noxelia 4t gmail , com>
Date: Fri, 17 Apr 2009 00:22:51 +0300
Subject: [PATCH] ADD libvlc winconsole switch
 It is used for optional console logging on windows to
 debug early loading problems

---
 src/libvlc-module.c |    7 +++++++
 src/libvlc.c        |    6 ++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

diff --git a/src/libvlc-module.c b/src/libvlc-module.c
index 3edcd9e..7018e69 100644
--- a/src/libvlc-module.c
+++ b/src/libvlc-module.c
@@ -186,6 +186,9 @@ static const char *const ppsz_snap_formats[] =
 #define QUIET_LONGTEXT N_( \
     "Turn off all warning and information messages.")
 
+#define WINCON_TEXT N_("Log on console (windows only)")
+#define WINCON_LONGTEXT N_("Redirect all output to an external console window (windows only)")
+
 #define OPEN_TEXT N_("Default stream")
 #define OPEN_LONGTEXT N_( \
     "This stream will always be opened at VLC startup." )
@@ -2030,6 +2033,10 @@ vlc_module_begin ()
     add_bool( "quiet", 0, NULL, QUIET_TEXT, QUIET_LONGTEXT, true )
         change_short('q')
 
+#if defined(WIN32)
+    add_bool( "winconsole", 0, NULL, WINCON_TEXT, WINCON_LONGTEXT, true )
+#endif
+
 #if !defined(WIN32)
     add_bool( "daemon", 0, NULL, DAEMON_TEXT, DAEMON_LONGTEXT, true )
         change_short('d')
diff --git a/src/libvlc.c b/src/libvlc.c
index f6d6be8..3432c48 100644
--- a/src/libvlc.c
+++ b/src/libvlc.c
@@ -337,6 +337,12 @@ int libvlc_InternalInit( libvlc_int_t *p_libvlc, int i_argc,
         return VLC_EGENERIC;
     }
 
+#ifdef WIN32
+    /* check if we are asked to open a win32 output console for messages */
+    if ( config_GetInt( p_libvlc, "winconsole" ) )
+        ShowConsole( false );
+#endif
+
     priv->i_verbose = config_GetInt( p_libvlc, "verbose" );
     /* Announce who we are - Do it only for first instance ? */
     msg_Dbg( p_libvlc, "%s", COPYRIGHT_MESSAGE );
-- 
1.5.4.3

